LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Functions
salhelper Namespace Reference

## Classes
class | Condition
class | ConditionModifier
class | ConditionWaiter
class | ORealDynamicLoader
| The ORealDynamicLoader is an implementation helper class for the template loader ODynamicLoader. More...
class | ODynamicLoader
| The ODynmaicLoader provides a special load on call mechanism for dynamic libraries which support a C-API. More...
class | LinkResolver
class | ReferenceObject
class | SimpleReferenceObject
| A simple base implementation for reference-counted objects. More...
class | SingletonRef
| template for implementing singleton classes. More...
class | Thread
| A safe encapsulation of osl::Thread. More...
struct | TTimeValue
| Helper class for easier manipulation with TimeValue. More...
class | Timer
| Interface for the Timer and handling the event. More...

## Functions
sal_Bool | operator< (const TTimeValue &rTimeA, const TTimeValue &rTimeB)
sal_Bool | operator> (const TTimeValue &rTimeA, const TTimeValue &rTimeB)
sal_Bool | operator== (const TTimeValue &rTimeA, const TTimeValue &rTimeB)

## Function Documentation

sal_Bool salhelper::operator< | ( | const TTimeValue & | rTimeA,
|  | const TTimeValue & | rTimeB
| ) |  |
| inline

sal_Bool salhelper::operator== | ( | const TTimeValue & | rTimeA,
|  | const TTimeValue & | rTimeB
| ) |  |
| inline

sal_Bool salhelper::operator> | ( | const TTimeValue & | rTimeA,
|  | const TTimeValue & | rTimeB
| ) |  |
| inline